import Axios from "axios";
import store from "@/state/store"
import { AppState } from "@/state/reducer";
import { UserState } from "@/state/reducer/user";


import * as user from "./user";
import * as edition from "./edition";

export const axios = Axios.create({
    baseURL: "http://system-praktyk-front.localhost:3000/api/",
})

axios.interceptors.request.use(config => {
    const state = store.getState() as AppState;
    const user = state.user as UserState;

    if (!user.loggedIn) {
        return config;
    }

    return {
        ...config,
        headers: {
            ...config.headers,
            Authorization: `Bearer ${ user.token }`
        }
    }
})

const api = {
    user,
    edition
}

export default api;

